(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./MotionReduce.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Motion = void 0;
    const engine_1 = require("@tsparticles/engine");
    const MotionReduce_js_1 = require("./MotionReduce.js");
    class Motion {
        constructor() {
            this.disable = false;
            this.reduce = new MotionReduce_js_1.MotionReduce();
        }
        load(data) {
            if ((0, engine_1.isNull)(data)) {
                return;
            }
            if (data.disable !== undefined) {
                this.disable = data.disable;
            }
            this.reduce.load(data.reduce);
        }
    }
    exports.Motion = Motion;
});
